Subject: Re: [BNEP] Fix compat BNEPGETCONNLIST ioctl.

From: Marcel Holtmann <[email-masked]>
Date: Mon, 18 Sep 2006 17:09:14 +0200

Hi David,

> > although HIDP mouse movement doesn't seem to be appearing
> > in /dev/input/mice on my G5, while the 'hcidump' output looks sane
> > enough while I move it. 
> 
> Ew, that's because struct hidp_connadd_req is similarly buggered for
> compat. Replacement HIDP patch to fix both at once... I didn't miss
> anywhere where we actually change the hidp_connadd_req structure during
> the call, did I?

that looks ugly, but I assume there is no other way to solve this
problem. I will go over all three patches and wrap them up nicely.

Linus, will you accept these for inclusion before 2.6.18 final?

Regards

Marcel